#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: STMonadTrans
version: 0.3.3
id: STMonadTrans-0.3.3-532fc4297285422c1e485c5ce9a6695a
key: STMon_4jVXHQ6YZp6JoUyetphXoZ
license: BSD3
maintainer: josef.svenningsson@gmail.com
synopsis: A monad transformer version of the ST monad
description:
    A monad transformer version of the ST monad
    Warning! This monad transformer should not be used with monads that
    can contain multiple answers, like the list monad. The reason is that
    the state token will be duplicated across the different answers and this causes
    Bad Things to happen (such as loss of referential transparency). Safe
    monads include the monads State, Reader, Writer, Maybe and
    combinations of their corresponding monad transformers.
category: Monads
author: Josef Svenningsson
exposed: True
exposed-modules:
    Control.Monad.ST.Trans Control.Monad.ST.Trans.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/STMonadTrans-0.3.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/STMonadTrans-0.3.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/STMonadTrans-0.3.3
hs-libraries: HSSTMonadTrans-0.3.3-4jVXHQ6YZp6JoUyetphXoZ
include-dirs: /usr/local/include
depends:
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/STMonadTrans-0.3.3/html/STMonadTrans.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/STMonadTrans-0.3.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
